## org.eclipse.m2m.atl.profiler.emfvm
Class ProfilingTool

    java.lang.Object
      org.eclipse.m2m.atl.profiler.emfvm.ProfilingTool

All Implemented Interfaces:
  ITool

    public class ProfilingTool

extends java.lang.Object
implements ITool

Class used by the ATL Virtual Machine.
Redirect operations to the ATL profiler

See Also:
  `ATLProfiler`

Constructor Summary
`ProfilingTool(org.eclipse.emf.ecore.EObject atlModel)` Creates a new profiling tool.

Method Summary
`void` `enter(AbstractStackFrame frame)` Enters the frame.
`void` `error(AbstractStackFrame frame, java.lang.String msg, java.lang.Exception e)` Throws an error.
`void` `leave(AbstractStackFrame frame)` Leaves the frame.
`void` `step(AbstractStackFrame frame)` Steps into the frame.
`void` `terminated()` Terminates the execution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilingTool

    public ProfilingTool(org.eclipse.emf.ecore.EObject atlModel)

  Creates a new profiling tool.

  Parameters:
    `atlModel` - the atl code model

Method Detail

### terminated

    public void terminated()

  Terminates the execution.

  Specified by:
    `terminated` in interface `ITool`
  See Also:
    `ITool.terminated()`

### error

    public void error(AbstractStackFrame frame,
                      java.lang.String msg,
                      java.lang.Exception e)

  Throws an error.

  Specified by:
    `error` in interface `ITool`
  Parameters:
    `frame` - the current frame
    `msg` - the error message
    `e` - the exception
  See Also:
    `ITool.error(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.String, java.lang.Exception)`

### enter

    public void enter(AbstractStackFrame frame)

  Enters the frame.

  Specified by:
    `enter` in interface `ITool`
  Parameters:
    `frame` - the frame to enter in
  See Also:
    `ITool.enter(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame)`

### leave

    public void leave(AbstractStackFrame frame)

  Leaves the frame.

  Specified by:
    `leave` in interface `ITool`
  Parameters:
    `frame` - the frame to leave
  See Also:
    `ITool.leave(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame)`

### step

    public void step(AbstractStackFrame frame)

  Steps into the frame.

  Specified by:
    `step` in interface `ITool`
  Parameters:
    `frame` - the frame to step
  See Also:
    `ITool.step(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.